# Trait rustc_serialize::base64::ToBase64 [−] [src]

    pub trait ToBase64 {
        fn to_base64(&self, config: Config) -> String;
    }

A trait for converting a value to base64 encoding.

## Required Methods

### `fn to_base64(&self, config: Config) -> String`

Converts the value of `self` to a base64 value following the specified format configuration, returning the owned string.

## Implementors

- `impl ToBase64 for [u8]`
- `impl<'a, T: ?Sized + ToBase64> ToBase64 for &'a T`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)